bitel.billing.server.npay.bean

## Class ServiceObjectManager

- java.lang.Object
- - bitel.billing.server.npay.bean.ServiceObjectManager

-     public class ServiceObjectManager
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceObjectManager(java.sql.Connection con, int mid)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deleteServiceObject(int id)` Удаление абонплаты по коду записи в БД.
    `ServiceObject` | `getServiceObject(int id)` Возвращает абонплату по коду записи в БД.
    `java.util.List<ServiceObject>` | `getServiceObjectList(int cid, java.util.Date date)` Возвращает список абонплат договора.
    `java.util.List<ServiceObject>` | `getServiceObjectList(int cid, int objectId, int entityMid, int entityId)` Возвращает список абонплат договора.
    `java.util.List<ServiceObject>` | `getServiceObjectList(int cid, int objectId, int entityMid, int entityId, java.util.Date date)` Возвращает список абонплат договора.
    `java.util.List<ServiceObject>` | `getServiceObjectListForObject(int oid)` Возвращает абонплаты объекта.
    `void` | `moveContractSevice(ServiceObject contractService, int cidFrom, int cidTo, int objectTo, int userId)` Перенос абонплаты на другой договор.
    `void` | `updateServiceObject(ServiceObject value)` Обновление либо добавление абонплаты договора.
    `void` | `wrapContractSevice(ServiceObject contractService, int cidTo, int objectTo, int entityToId, int userId, java.util.Date dateClose, java.util.Date dateOpen)` Разрыв абонплаты на два договора.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServiceObjectManager

          public ServiceObjectManager(java.sql.Connection con,
                                      int mid)

  - ### Method Detail

    - #### getServiceObject

          public ServiceObject getServiceObject(int id)

      Возвращает абонплату по коду записи в БД.
      Parameters:
        `id` - код
      Returns:

    - #### updateServiceObject

          public void updateServiceObject(ServiceObject value)

      Обновление либо добавление абонплаты договора. Добавление новой записи производится value.getId() <= 0.
      Parameters:
        `value` - добавляемая либо обновляемая абонплата

    - #### deleteServiceObject

          public void deleteServiceObject(int id)

      Удаление абонплаты по коду записи в БД.
      Parameters:
        `id` -

    - #### getServiceObjectListForObject

          public java.util.List<ServiceObject> getServiceObjectListForObject(int oid)

      Возвращает абонплаты объекта.
      Parameters:
        `oid` - код объекта
      Returns:

    - #### getServiceObjectList

          public java.util.List<ServiceObject> getServiceObjectList(int cid,
                                                                    java.util.Date date)

      Возвращает список абонплат договора. Фильтр по objectId добавлется только при положительном значении.
      Parameters:
        `cid` - код договора
        `date` - дата, которую должны включать период выбираемых абонплат. Игнорируется при null
      Returns:

    - #### getServiceObjectList

          public java.util.List<ServiceObject> getServiceObjectList(int cid,
                                                                    int objectId,
                                                                    int entityMid,
                                                                    int entityId)

      Возвращает список абонплат договора. Фильтры по entityId, entityId добавляются в запрос, только при неотрицательных значениях. Фильтр по objectId добавлется только при положительном значении.
      Parameters:
        `cid` - код договора
        `objectId` - код объекта
        `entityMid` - код модуля, к сущности которого привязана абонплата
        `entityId` - код сущности модуля, к которой привязана абонплата
      Returns:

    - #### getServiceObjectList

          public java.util.List<ServiceObject> getServiceObjectList(int cid,
                                                                    int objectId,
                                                                    int entityMid,
                                                                    int entityId,
                                                                    java.util.Date date)

      Возвращает список абонплат договора. Фильтры по entityId, entityId добавляются в запрос, только при неотрицательных значениях. Фильтр по objectId добавлется только при положительном значении.
      Parameters:
        `cid` - код договора
        `objectId` - код объекта
        `entityMid` - код модуля, к сущности которого привязана абонплата
        `entityId` - код сущности модуля, к которой привязана абонплата
        `date` - дата, которую должны включать периоды выбираемых абонплат
      Returns:

    - #### moveContractSevice

          public void moveContractSevice(ServiceObject contractService,
                                         int cidFrom,
                                         int cidTo,
                                         int objectTo,
                                         int userId)
                                  throws java.lang.Exception

      Перенос абонплаты на другой договор.
      Parameters:
        `contractService` -
        `cidFrom` -
        `cidTo` -
        `objectTo` -
        `userId` -
      Throws:
        `java.lang.Exception`

    - #### wrapContractSevice

          public void wrapContractSevice(ServiceObject contractService,
                                         int cidTo,
                                         int objectTo,
                                         int entityToId,
                                         int userId,
                                         java.util.Date dateClose,
                                         java.util.Date dateOpen)
                                  throws java.lang.Exception

      Разрыв абонплаты на два договора.
      Parameters:
        `contractService` -
        `cidTo` -
        `userId` -
        `dFrom` -
      Throws:
        `java.lang.Exception`